Subject: RE: [Sigtran] M3UA IG v04

From: "Zannin, Francois" <[email-masked]>
Date: Thu, 10 Jul 2003 17:02:34 +0200

Hi,

See after...

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]] 
> Sent: Thursday, July 10, 2003 2:52 PM
> To: Zannin, Francois
> Cc: Samuel Dur D. Jeyaseelan; Ken Morneault; J.Javier Pastor 
> (EE/EEM); [email-masked]
> Subject: Re: [Sigtran] M3UA IG v04
> 
> 
> Zannin,,
> 
> Zannin, Francois wrote:                                       
>                      (Thu, 10 Jul 2003 14:21:56)
> > Let's continue on your example,
> > 
> > When an ASP starts, it sends an ASP-UP, and then receives an 
> > ASP-UP-ACK, Then two possibilities,
> >     1) Sends an ASP-Active while receiving the NOTIFY xxx
> >     2) Receive the NOTIFY xxx and then sends the ASP-Active
> > 
> > If there is not enough ASP active for the AS, the SG(p)  answer with
an 
> > ASP-Active_Ack and then everything is fine, the SG(p) start traffic 
> > for the AS. If there are enough ASP Already Active for the AS, the 
> > SG(p) do not send the ASP-Active_Ack. Then this "cleaver" ASP will 
> > continue to send ASP-Active and stop after some time (x  retry of
the 
> > Active).
> 
> I don't think it would be a good idea to ignore the 
> ASP-Active.  The SGP has three choices on receiving an 
> ASP-Active: send ASP Active Ack, send Error("Management 
> Blocking") or send ASP Inactive Ack.  Discarding the ASP 
> Active and causing the ASP to fall back on OPTIONAL timers is 
> not a good idea.

This idea to block the ASP-Active completion in order to indicate to the
remote
ASP that there are enough ASP active if we understand that "n" is the
maximum
Of ASP that the SG want to be ative. 
The SG can choose the acknowledge all ASP... That's not the my issue...

> 
> Also, it is not a good idea for the SGP to attempt to decide 
> which ASP is to be activated in this way and which one is to 
> be denied.  There are dependencies with ASPs going active due 
> to the state that they must share.  For example: this might 
> not be a possible situation from the ASP's perspective:
> 
>      SGP1 - ASP1 Active
>      SGP1 - ASP2 Active
>      SGP1 - ASP3 Inactive
> 
>      SGP2 - ASP1 Inactive
>      SGP2 - ASP2 Active
>      SGP2 - ASP3 Active
> 
> Because this might force the ASPs to inefficiently share call state.

This example demonstrate that the NOTIFY sent by the SG cannot be used
to 
decide if an ASP has to send an ASP-Active or not. The example of the IG

Shows that the SG send a notify to ASP1 and ASP2 and NOT ASP3... 
Why ASP3? Has the SG to take this decision?
Now, it is in charge all the ASP to coordonate themselves to decide
which
ASP must send the ASP-Active.

BUT if the SG send the notification to all ASP, it is possible to
imagine 
That someone create a service delivered by several independent small ASP

and that Only uses the indication coming from the SG for automatic
service
Activation, recovery...

> 
> The RFC warns (Appendix A) that the loadsharing scheme might 
> need to send all messages pertaining to the same call or 
> transaction to the same ASP under normal operation.  This 
> might not be possible in the above arrangement.
> 
> > If an "Active ASP" fails, then the SG sends an "Insufficient ASP 
> > Active" that can be used by all "Inactive ASP" to restart  the
Activate 
> > procedure until the number is ASP is sufficient.
> 
> The RFC also warns in section 4.3.4.5: (Notify Procedures)
> 
>    In the case where a Notify message ("AS-PENDING") message  is sent
by
>    an SGP that now has no ASPs active to service the traffic,  or
where a
>    Notify ("Insufficient ASP resources active in AS") message  is sent
in
>    the Loadshare or Broadcast mode, the Notify message does not
>    explicitly compel the ASP(s) receiving the message to  become
active.
>    The ASPs remain in control of what (and when) traffic action is
>    taken.

You are right ! But this ASP can use this notification... For example, a

notify PENDING can be used for an automatic activation of a backup
ASP...

> 
> It sounds like you are expecting the opposite: that sending 
> the NTFY("Insufficient ASP resources active in AS") is 
> expected to compell the ASPs to initiate the ASP Active Procedure.

This notification can be use by an ASP to trigg an automatic activation.

> 
> > 
> > With this kind of solution, No "new m3ua messages", no  waste of
time 
> > in sending eternally ASP_Active, This is not the role of the SG to 
> > chose which ASP have to be used base on notification, I  guess this
can 
> > be an "amazing" solution!
> 
> Yes, amazingly bad.  This is precisely one of the reasons we said:
> 

My "amazing" was refering to the previous mail and the impossibility to 
elaborate an automatic activation of an ASP... 
      NOT to this wonderfull solution ;-)

>    For the n+k redundancy case, ASPs which are in that AS should
>    coordinate among themselves the number of active ASPs in the AS,
and
>    should start sending traffic only after n ASPs are active.
> 

For n+k model, OK for a simple service served by an Active standby
independent
model, we don't need a big communication between ASP.

> The ASPs know which one of them is active and which one is 
> backup for any given call/trasaction state.  They should 
> decide which are active and which are not.
> 
> The SGP should only refuse ASP Active under management 
> blocking or failure.
> 

That's not the goal of my issue, I just want to be notified when I am an

ASP and I becomes UP to an SG where I don't know if the service I a
offer
Is already active or not.

> --brian
> 
> > 
> > Regards,
> > Francois.
> > 
> > -----Original Message-----
> > From: Samuel Dur D. Jeyaseelan [mailto:[email-masked]]
> > Sent: Thursday, July 10, 2003 12:36 PM
> > To: Zannin, Francois
> > Cc: Ken Morneault; J.Javier Pastor (EE/EEM); [email-masked]
> > Subject: RE: [Sigtran] M3UA IG v04
> > 
> > 
> > 
> > Zannin,
> > 
> >   Just an example, say an operator configures an AS1 as set  of 3
ASPes.
> >   They are namely known as ASP1,ASP2 and ASP3(backup).
> > 
> >   Initially ASP1 and ASP2 send ASP_ACTIVE to SGP  so SGP sends a
> >   NTFY(AS_ACTIVE) thus results in AS1 to be in ACTIVE state.
> > 
> >   Where is the question of sending NTFY(Sufficient ASPs active)?
> >   People mean to say that backup ASP also sends an  ASP_ACTIVE
message
> >   to SGP? if it so, on what condition it is being sent? Is there
> >   any valid conditions that backup ASP or some  new(!!!??!amazing!!)
ASP
> >   to send ASP_ACTIVE message?
> > 
> > 
> > --Samuel
> >  
> > 
> >   Alcatel USA, Inc.                  Internet:
> > <userid>@ssd.usa.alcatel.com
> >   1000 Coit Road, Plano, Texas 75075> 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 10 Jul 2003 09:26:17 -0600

Francois,

Zannin, Francois wrote:                                                            (Thu, 10 Jul 2003 17:02:34)

-X-snip-X-
> This notification can be use by an ASP to trigg an automatic activation.

It could, but the SGP should not assume that the ASP will perform this
automatic activation.

> model, we don't need a big communication between ASP.

active/standy does not send "Insufficient ASPs ...".

> Is already active or not.

I agree that the newly ASP-INACTIVE ASP should be notified of the state of
the AS, but not in an attempt to compel or rely on the ASP invoking any
procedure.  Simply to provide the information to the ASP that it might not
otherwise have, particularly if it is temporarily partitioned from the
other ASPs.

The RFC permits you to do that now.  It does not say that the SGP cannot
send Notify to newly active ASPs.  This is permitted.  What the proposal
was for was to way SHOULD.  That is, to get all SGPs to send Notify to
newly INACTIVE ASPs.

So we agree for different reasons.

Put the following lines in the IG added to the "Notify Procedures" and then
your ASP can at least rely on the SGP sending the Notifies when it move from
DOWN to INACTIVE for an AS (including registrations):

  The SGP SHOULD send a NTFY message indicating the state of the AS to all
  ASPs newly becoming ASP-INACTIVE from ASP-DOWN for each AS.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/